Skip to Content
API ReferenceTestPOST /search

POST /test/search

Search Test

Search tests — composable infra architecture.

Request Body (SearchTestApiRequest)

FieldTypeRequiredDescription
eval_idsstring[]No—
department_idsstring[]No—
is_archivedbooleanNo—
start_datestringNo—
end_datestringNo—
eval_searchstringNo—
department_searchstringNo—
page_sizeintegerNo—
page_offsetintegerNo—
snapshot_keystringNoCache snapshot key for consistent reads across related requests

Response (SearchTestApiResponse)

FieldTypeRequiredDescription
actor_namestringNoDisplay name of the current actor
testsSearchTestItem[]NoSearch result test items
eval_filterListFilterSectionNoEval filter section
department_filterListFilterSectionNoDepartment filter section
total_countintegerNoTotal number of matching results
Last updated on